require('randomlua')

function love.load()
	l1 = lcg(0) -- Linear congruential generator (Ansi C params)
	l2 = lcg(0, 'nr') --Linear congruential generator (Numerical recipes params)
	l3 = lcg(0, 'mvc') -- Linear congruential generator (Microsoft Visual C params)
	c1 = mwc(0) -- Multiply-with-carry (Ansi C params)
	c2 = mwc(0, 'nr') -- Multiply-with-carry (Numerical recipes params)
	c3 = mwc(0, 'mvc') -- Multiply-with-carry (Microsoft Visual C params)
	m = twister(0) -- Mersenne twister
	tl1 = {} tl2 = {} tl3 = {} tc1 = {} tc2 = {} tc3 = {} tm = {}
	for n = 1, 10 do
		table.insert(tl1, l1:random(0))
		table.insert(tl2, l2:random(0))
		table.insert(tl3, l3:random(0))
		table.insert(tc1, c1:random(0))
		table.insert(tc2, c2:random(0))
		table.insert(tc3, c3:random(0))
		table.insert(tm, m:random(0))
	end
end
function love.draw(dt)
	love.graphics.printf('lcg C', 0, 0, 64, "right")
	love.graphics.printf('lcg NR', 64, 0, 64, "right")
	love.graphics.printf('lcg MVC', 128, 0, 64, "right")
	love.graphics.printf('mwc C', 192, 0, 64, "right")
	love.graphics.printf('mwc NR', 256, 0, 64, "right")
	love.graphics.printf('mwc MVC', 320, 0, 64, "right")
	love.graphics.printf('twister', 386, 0, 128, "right")
	for n = 1, 10 do
	love.graphics.printf(tl1[n], 0, n*16, 64, "right")
	love.graphics.printf(tl2[n], 64, n*16, 64, "right")
	love.graphics.printf(tl3[n], 128, n*16, 64, "right")
	love.graphics.printf(tc1[n], 192, n*16, 64, "right")
	love.graphics.printf(tc2[n], 256, n*16, 64, "right")
	love.graphics.printf(tc3[n], 320, n*16, 64, "right")
	love.graphics.printf(tm[n], 386, n*16, 128, "right")
	end
end
